SWITCHCTL(8)

NAME
switchctl - control the SDN flow controller

SYNOPSIS
switchctl [-q] [-s socket] command [arg ...]

DESCRIPTION
The switchctl program controls the switchd(8) daemon.

The options are as follows:

-q  Don't ask for confirmation of any default options.

-s socket
    Use socket instead of the default /var/run/switchd.sock to communicate with switchd(8).

The following commands are available to control switchd(8):

connect address [forward-to address]
    Connect to a new switch by address, for example 10.1.1.1, or a switch(4) control device, for example /dev/switch0. switchd will forward all OpenFlow requests of the switch to a remote controller if the optional forward-to address is specified.

disconnect address
    Close the client connection to a remote switch or a switch(4) control device.

dump address request
    Request information from a remote switch. switchctl will send an OpenFlow request to the remote switch that is specified by address. The request can be one of the following:

    desc
        Request the switch description.
    features
        Request the switch features.
    flows
        Request the tables and flows.
    tables
        Request the tables.

load filename address
    Reload the configuration from the specified file.

log brief
    Disable verbose logging.

log verbose
    Enable verbose logging.

monitor
    Monitor internal messages of the switchd(8) subsystems.

reload
    Reload the configuration from the default configuration file.

reset all
    Reset the running state.

show macs
    Display all known mac addresses.

show summary
    Display a list of all switches and mac addresses.

show switches
    Display all known switches.

FILES
/etc/switchd.conf
    Active configuration.
/var/run/switchd.sock
    default UNIX-domain socket used for communication with switchd(8)

SEE ALSO
bridge(4), switchd.conf(5), switchd(8)

HISTORY
The switchctl program first appeared in OpenBSD 6.1.

AUTHORS
The switchctl program was written by Reyk Floeter <reyk@openbsd.org>.